Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5088)
@@ -1,5 +1,5 @@
       SUBROUTINE iotd_ini(fichnom,iim,jjm,llm,prlon,prlat,pcoordv,jour0,mois0,an0,t0,timestep,calendrier)
-            USE lmdz_netcdf, ONLY: nf_enddef,nf_put_att_text,nf_float,nf_def_var,nf_redef,&
-                    nf_global,nf_def_dim,nf_create,nf_clobber,nf_unlimited,nf90_put_var
+            USE netcdf, ONLY: nf90_enddef,nf90_put_att,nf90_float,nf90_def_var,nf90_redef,&
+                    nf90_global,nf90_def_dim,nf90_create,nf90_clobber,nf90_unlimited,nf90_put_var
       IMPLICIT NONE
 
@@ -91,70 +91,70 @@
     
       ! Create the NetCDF file
-      ierr=NF_CREATE(fichnom, NF_CLOBBER, nid)
-      ierr=NF_DEF_DIM(nid, "lon", iim, dim_coord(1))
-      ierr=NF_DEF_DIM(nid, "lat", jjm, dim_coord(2))
-      ierr=NF_DEF_DIM(nid, "lev", llm, dim_coord(3))
-      ierr=NF_DEF_DIM(nid,"time",NF_UNLIMITED,dim_coord(4))
-      ierr = NF_PUT_ATT_TEXT(nid,NF_GLOBAL,'Conventions',6,"CF-1.1")
-      !ierr = NF_PUT_ATT_TEXT(nid,NF_GLOBAL,'file_name',TRIM(fname))
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_create(fichnom, nf90_clobber, nid)
+      ierr=nf90_def_dim(nid, "lon", iim, dim_coord(1))
+      ierr=nf90_def_dim(nid, "lat", jjm, dim_coord(2))
+      ierr=nf90_def_dim(nid, "lev", llm, dim_coord(3))
+      ierr=nf90_def_dim(nid,"time",nf90_unlimited,dim_coord(4))
+      ierr = nf90_put_att(nid,nf90_global,'Conventions',"CF-1.1")
+      !ierr = nf90_put_att(nid,nf90_global,'file_name',TRIM(fname))
+      ierr=nf90_enddef(nid)
 
       ! Switch out of NetCDF Define mode
 
 
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_enddef(nid)
 !
 !  Contol parameters for this run
 ! ---- longitude -----------
 
-      ierr=NF_REDEF(nid)
-      ierr=NF_DEF_VAR(nid,"lon", NF_FLOAT, 1, dim_coord(1),nvarid)
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'axis',1,'X')
-      ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',12,"degrees_east")
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_redef(nid)
+      ierr=nf90_def_var(nid,"lon", nf90_float, dim_coord(1),nvarid)
+      ierr = nf90_put_att(nid,nvarid,'axis','X')
+      ierr=nf90_put_att(nid,nvarid,'units',"degrees_east")
+      ierr=nf90_enddef(nid)
       ierr=nf90_put_var(nid,nvarid,rlon)
        print*,ierr
 
 ! ---- latitude ------------
-      ierr=NF_REDEF(nid)
-      ierr=NF_DEF_VAR(nid, "lat", NF_FLOAT, 1, dim_coord(2),nvarid)
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'axis',1,'Y')
-      ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',13,"degrees_north")
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_redef(nid)
+      ierr=nf90_def_var(nid, "lat", nf90_float, dim_coord(2),nvarid)
+      ierr = nf90_put_att(nid,nvarid,'axis','Y')
+      ierr=nf90_put_att(nid,nvarid,'units',"degrees_north")
+      ierr=nf90_enddef(nid)
       ierr=nf90_put_var(nid,nvarid,rlat)
 !
 ! ---- vertical ------------
-      ierr=NF_REDEF(nid)
-      ierr=NF_DEF_VAR(nid, "lev", NF_FLOAT, 1,dim_coord(3),nvarid)
-      ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",10,"vert level")
+      ierr=nf90_redef(nid)
+      ierr=nf90_def_var(nid, "lev", nf90_float,dim_coord(3),nvarid)
+      ierr=nf90_put_att(nid,nvarid,"long_name","vert level")
       if ( coordv(2)>coordv(1) ) then
-         ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",10,"pseudo-alt")
-         ierr=NF_PUT_ATT_TEXT(nid,nvarid,'positive',2,"up")
+         ierr=nf90_put_att(nid,nvarid,"long_name","pseudo-alt")
+         ierr=nf90_put_att(nid,nvarid,'positive',"up")
       else
-         ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",8,"pressure")
-         ierr = NF_PUT_ATT_TEXT (nid,nvarid,'positive',4,"down")
+         ierr=nf90_put_att(nid,nvarid,"long_name","pressure")
+         ierr = nf90_put_att(nid,nvarid,'positive',"down")
       endif
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_enddef(nid)
       ierr=nf90_put_var(nid,nvarid,coordv)
 
 !
 ! ---- time ----------------
-      ierr=NF_REDEF(nid)
+      ierr=nf90_redef(nid)
       ! Define the 'time' variable
-      ierr=NF_DEF_VAR(nid, "time", NF_FLOAT, 1, dim_coord(4),nvarid)
+      ierr=nf90_def_var(nid, "time", nf90_float, dim_coord(4),nvarid)
 !     ! Add attributes
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'axis',1,'T')
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'standard_name',4,'time')
+      ierr = nf90_put_att(nid,nvarid,'axis','T')
+      ierr = nf90_put_att(nid,nvarid,'standard_name','time')
       WRITE(date0,'(i4.4,"-",i2.2,"-",i2.2)') an0,mois0,jour0
-      ierr=NF_PUT_ATT_TEXT(nid, nvarid,'units',33, &
+      ierr=nf90_put_att(nid, nvarid,'units', &
    "seconds since "//date0//" 00:00:00")
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'calendar',9,calendrier)
-      !ierr = NF_PUT_ATT_TEXT(nid,nvarid,'calendar',4,'360d')
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'title',4,'Time')
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'long_name',9,'Time axis')
+      ierr = nf90_put_att(nid,nvarid,'calendar',calendrier)
+      !ierr = nf90_put_att(nid,nvarid,'calendar','360d')
+      ierr = nf90_put_att(nid,nvarid,'title','Time')
+      ierr = nf90_put_att(nid,nvarid,'long_name','Time axis')
       WRITE(date0b,'(i4.4,"-",a3,"-",i2.2)') an0,cmois(mois0),jour0
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'time_origin',20, &
+      ierr = nf90_put_att(nid,nvarid,'time_origin', &
           date0b//' 00:00:00')
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_enddef(nid)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5088)
@@ -165,5 +165,5 @@
     USE mod_phys_lmdz_para
     USE surface_data, ONLY : type_ocean, ok_veget
-    USE lmdz_netcdf, ONLY:nf90_get_var,nf90_inq_varid,nf90_close,nf90_inquire_dimension,&
+    USE netcdf, ONLY:nf90_get_var,nf90_inq_varid,nf90_close,nf90_inquire_dimension,&
             nf90_inquire,nf90_get_att,nf90_inq_dimid,nf90_nowrite,nf90_noerr,nf90_open
     USE indice_sol_mod
@@ -249,5 +249,5 @@
           !--- ERROR IF FILE RECORDS NUMBER IS NOT EQUAL TO EXPECTED NUMBER OF DAYS          
           IF (grid_type==unstructured) THEN
-            ierr=NF90_INQ_DIMID(nid,"time_year",ndimid)
+            ierr=nf90_inq_dimid(nid,"time_year",ndimid)
           ELSE
             ierr=NF90_INQUIRE(nid, UnlimitedDimID=ndimid)
@@ -260,7 +260,7 @@
           !--- ERROR IF FILES AND LMDZ HORIZONTAL RESOLUTIONS DO NOT MATCH
           IF (grid_type==unstructured) THEN
-            ierr=NF90_INQ_DIMID(nid, 'cell', ndimid)
+            ierr=nf90_inq_dimid(nid, 'cell', ndimid)
           ELSE
-            ierr=NF90_INQ_DIMID(nid, 'points_physiques', ndimid)
+            ierr=nf90_inq_dimid(nid, 'points_physiques', ndimid)
           ENDIF
           ierr=NF90_INQUIRE_DIMENSION(nid, ndimid, len=nn)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5088)
@@ -6,5 +6,5 @@
   USE mod_grid_phy_lmdz, ONLY: klon_glo
   USE mod_phys_lmdz_para
-  USE lmdz_netcdf, ONLY: nf90_close,nf90_get_var,nf90_inq_varid,nf90_nowrite,nf90_noerr,nf90_open
+  USE netcdf, ONLY: nf90_close,nf90_get_var,nf90_inq_varid,nf90_nowrite,nf90_noerr,nf90_open
   USE indice_sol_mod
   USE ocean_slab_mod, ONLY: nslay
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5088)
@@ -24,5 +24,5 @@
 MODULE MO_SIMPLE_PLUMES
 
-    USE lmdz_netcdf, ONLY:nf90_get_var,nf90_close,nf90_inq_varid,nf90_inq_dimid,&
+    USE netcdf, ONLY:nf90_get_var,nf90_close,nf90_inq_varid,nf90_inq_dimid,&
             nf90_inquire_dimension,nf90_noerr,nf90_nowrite,nf90_open
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/moy_undefSTD.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/moy_undefSTD.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/moy_undefSTD.F90	(revision 5088)
@@ -3,5 +3,5 @@
 
 SUBROUTINE moy_undefstd(itap, itapm1)
-  USE lmdz_netcdf, ONLY: nf90_fill_real
+  USE netcdf, ONLY: nf90_fill_real
   USE dimphy
 #ifdef CPP_IOIPSL 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5088)
@@ -13,5 +13,5 @@
 !-------------------------------------------------------------------------------
   USE netcdf95, ONLY: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
-  USE lmdz_netcdf,   ONLY: nf90_nowrite
+  USE netcdf,   ONLY: nf90_nowrite
   USE mod_phys_lmdz_mpi_data,      ONLY: is_mpi_root
   USE mod_phys_lmdz_mpi_transfert, ONLY: bcast_mpi
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5088)
@@ -415,5 +415,5 @@
     use lmdz_blowing_snow_ini, only : zeta_bs
     USE wxios, ONLY: missing_val_xios => missing_val, using_xios
-    USE lmdz_netcdf, only: missing_val_netcdf => nf90_fill_real
+    USE netcdf, only: missing_val_netcdf => nf90_fill_real
 
      
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5088)
@@ -570,7 +570,8 @@
     USE mod_phys_lmdz_transfert_para, ONLY: gather
     USE phys_cal_mod, ONLY: year_len
-    use lmdz_netcdf, ONLY: nf90_def_var, nf90_put_var, nf90_get_var, nf_strerror, nf_close, &
-            nf_enddef, nf_put_att_text, nf_unlimited, nf_noerr, nf_global, nf_clobber, &
-            nf_64bit_offset, nf90_format, nf_def_dim, nf_create
+    USE netcdf, ONLY: nf90_def_var, nf90_put_var, nf90_get_var, nf90_strerror, nf90_close, &
+            nf90_enddef, nf90_put_att, nf90_unlimited, nf90_noerr, nf90_global, nf90_clobber, &
+            nf90_64bit_offset, nf90_def_dim, nf90_create
+    USE lmdz_netcdf_format, ONLY: nf90_format
     IMPLICIT NONE
 
@@ -604,49 +605,49 @@
       PRINT *, 'writelim: Ecriture du fichier limit'
 
-      ierr = nf_create('limit.nc', IOR(NF_CLOBBER,NF_64BIT_OFFSET), nid)
-
-      ierr = nf_put_att_text(nid, nf_global, 'title', 30, &
+      ierr = nf90_create('limit.nc', IOR(nf90_clobber,nf90_64bit_offset), nid)
+
+      ierr = nf90_put_att(nid, nf90_global, 'title', &
         'Fichier conditions aux limites')
-      ! !        ierr = NF_DEF_DIM (nid, "points_physiques", klon, ndim)
-      ierr = nf_def_dim(nid, 'points_physiques', klon_glo, ndim)
-      ierr = nf_def_dim(nid, 'time', nf_unlimited, ntim)
+      ! !        ierr = nf90_def_dim (nid, "points_physiques", klon, ndim)
+      ierr = nf90_def_dim(nid, 'points_physiques', klon_glo, ndim)
+      ierr = nf90_def_dim(nid, 'time', nf90_unlimited, ntim)
 
       dims(1) = ndim
       dims(2) = ntim
 
-      ierr = nf90_def_var(nid, 'TEMPS', NF90_FORMAT, [ntim], id_tim)
-      ierr = nf_put_att_text(nid, id_tim, 'title', 17, 'Jour dans l annee')
-
-      ierr = nf90_def_var(nid, 'NAT', NF90_FORMAT, dims, id_nat)
-      ierr = nf_put_att_text(nid, id_nat, 'title', 23, &
+      ierr = nf90_def_var(nid, 'TEMPS', nf90_format, [ntim], id_tim)
+      ierr = nf90_put_att(nid, id_tim, 'title', 'Jour dans l annee')
+
+      ierr = nf90_def_var(nid, 'NAT', nf90_format, dims, id_nat)
+      ierr = nf90_put_att(nid, id_nat, 'title', &
         'Nature du sol (0,1,2,3)')
 
-      ierr = nf90_def_var(nid, 'SST', NF90_FORMAT, dims, id_sst)
-      ierr = nf_put_att_text(nid, id_sst, 'title', 35, &
+      ierr = nf90_def_var(nid, 'SST', nf90_format, dims, id_sst)
+      ierr = nf90_put_att(nid, id_sst, 'title', &
         'Temperature superficielle de la mer')
 
-      ierr = nf90_def_var(nid, 'BILS', NF90_FORMAT, dims, id_bils)
-      ierr = nf_put_att_text(nid, id_bils, 'title', 32, &
+      ierr = nf90_def_var(nid, 'BILS', nf90_format, dims, id_bils)
+      ierr = nf90_put_att(nid, id_bils, 'title', &
         'Reference flux de chaleur au sol')
 
-      ierr = nf90_def_var(nid, 'ALB', NF90_FORMAT, dims, id_alb)
-      ierr = nf_put_att_text(nid, id_alb, 'title', 19, 'Albedo a la surface')
-
-      ierr = nf90_def_var(nid, 'RUG', NF90_FORMAT, dims, id_rug)
-      ierr = nf_put_att_text(nid, id_rug, 'title', 8, 'Rugosite')
-
-      ierr = nf90_def_var(nid, 'FTER', NF90_FORMAT, dims, id_fter)
-      ierr = nf_put_att_text(nid, id_fter, 'title',10,'Frac. Land')
-      ierr = nf90_def_var(nid, 'FOCE', NF90_FORMAT, dims, id_foce)
-      ierr = nf_put_att_text(nid, id_foce, 'title',11,'Frac. Ocean')
-      ierr = nf90_def_var(nid, 'FSIC', NF90_FORMAT, dims, id_fsic)
-      ierr = nf_put_att_text(nid, id_fsic, 'title',13,'Frac. Sea Ice')
-      ierr = nf90_def_var(nid, 'FLIC', NF90_FORMAT, dims, id_flic)
-      ierr = nf_put_att_text(nid, id_flic, 'title',14,'Frac. Land Ice')
-
-      ierr = nf_enddef(nid)
-      IF (ierr/=nf_noerr) THEN
+      ierr = nf90_def_var(nid, 'ALB', nf90_format, dims, id_alb)
+      ierr = nf90_put_att(nid, id_alb, 'title', 'Albedo a la surface')
+
+      ierr = nf90_def_var(nid, 'RUG', nf90_format, dims, id_rug)
+      ierr = nf90_put_att(nid, id_rug, 'title', 'Rugosite')
+
+      ierr = nf90_def_var(nid, 'FTER', nf90_format, dims, id_fter)
+      ierr = nf90_put_att(nid, id_fter, 'title','Frac. Land')
+      ierr = nf90_def_var(nid, 'FOCE', nf90_format, dims, id_foce)
+      ierr = nf90_put_att(nid, id_foce, 'title','Frac. Ocean')
+      ierr = nf90_def_var(nid, 'FSIC', nf90_format, dims, id_fsic)
+      ierr = nf90_put_att(nid, id_fsic, 'title','Frac. Sea Ice')
+      ierr = nf90_def_var(nid, 'FLIC', nf90_format, dims, id_flic)
+      ierr = nf90_put_att(nid, id_flic, 'title','Frac. Land Ice')
+
+      ierr = nf90_enddef(nid)
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error: failed to end define mode'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
 
@@ -655,7 +656,7 @@
       DO k = 1, year_len
         ierr = nf90_put_var(nid, id_tim, k, [k])
-        IF (ierr/=nf_noerr) THEN
+        IF (ierr/=nf90_noerr) THEN
           WRITE (*, *) 'writelim error with temps(k),k=', k
-          WRITE (*, *) nf_strerror(ierr)
+          WRITE (*, *) nf90_strerror(ierr)
         END IF
       END DO
@@ -668,7 +669,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_nat, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_nat'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -677,7 +678,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_sst, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_sst'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -686,7 +687,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_bils, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_bil'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -695,7 +696,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_alb, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_alb'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -704,7 +705,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_rug, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_rug'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -713,7 +714,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_fter, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_fter'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -722,7 +723,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_foce, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_foce'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -731,7 +732,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_fsic, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_fsic'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -740,7 +741,7 @@
     IF (is_master) THEN
       ierr = nf90_put_var(nid, id_flic, phy_glo)
-      IF (ierr/=nf_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
         WRITE (*, *) 'writelim error with phy_flic'
-        WRITE (*, *) nf_strerror(ierr)
+        WRITE (*, *) nf90_strerror(ierr)
       END IF
     END IF
@@ -748,5 +749,5 @@
     ! close file:
     IF (is_master) THEN
-      ierr = nf_close(nid)
+      ierr = nf90_close(nid)
     END IF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5088)
@@ -40,5 +40,5 @@
   USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
   USE wxios, ONLY: missing_val_xios => missing_val, using_xios
-  use lmdz_netcdf, only: missing_val_netcdf => nf90_fill_real
+  use netcdf, only: missing_val_netcdf => nf90_fill_real
   use config_ocean_skin_m, only: activate_ocean_skin
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5088)
@@ -456,5 +456,5 @@
     USE ioipsl, ONLY: histend, histsync
     USE iophy, ONLY: set_itau_iophy, histwrite_phy
-    USE lmdz_netcdf, ONLY: nf90_fill_real
+    USE netcdf, ONLY: nf90_fill_real
     USE print_control_mod, ONLY: prt_level,lunout
     ! ug Pour les sorties XIOS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90	(revision 5088)
@@ -10,5 +10,5 @@
 ! Declaration des variables
       USE dimphy
-      USE lmdz_netcdf, only: nf90_fill_real
+      USE netcdf, only: nf90_fill_real
       INTEGER, PARAMETER :: nlevSTD=17
       INTEGER, PARAMETER :: nlevSTD8=8
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5088)
@@ -48,5 +48,5 @@
     USE mod_phys_lmdz_para
     USE netcdf95, only: nf95_close
-    USE lmdz_netcdf, only: nf90_fill_real     ! IM for NMC files
+    USE netcdf, only: nf90_fill_real     ! IM for NMC files
     USE open_climoz_m, only: open_climoz ! ozone climatology from a file
     USE ozonecm_m, only: ozonecm ! ozone of J.-F. Royer
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90	(revision 5088)
@@ -7,5 +7,5 @@
   ! ================================================================
   ! ================================================================
-  USE lmdz_netcdf, ONLY: nf90_fill_real
+  USE netcdf, ONLY: nf90_fill_real
   USE dimphy
 #ifdef CPP_IOIPSL 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5088)
@@ -24,5 +24,5 @@
 
     use netcdf95, only: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
-    use lmdz_netcdf, only: nf90_nowrite
+    use netcdf, only: nf90_nowrite
 
     use mod_phys_lmdz_mpi_data, only: is_mpi_root
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90	(revision 5088)
@@ -3,5 +3,5 @@
 ! Return variable for the given timestep. 
   USE dimphy
-  USE lmdz_netcdf, ONLY: nf90_open,nf90_close,nf90_nowrite,nf90_noerr,nf90_get_var,nf90_inq_varid
+  USE netcdf, ONLY: nf90_open,nf90_close,nf90_nowrite,nf90_noerr,nf90_get_var,nf90_inq_varid
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke.F90	(revision 5088)
@@ -17,6 +17,6 @@
   ! ******************************************************************************
 
-  USE lmdz_netcdf, ONLY: nf90_open,nf90_inq_varid,nf90_nowrite,nf90_get_var,nf_inq_dim,&
-          nf_inq_dimid
+  USE netcdf, ONLY: nf90_open,nf90_inq_varid,nf90_nowrite,nf90_get_var,nf90_inquire_dimension,&
+          nf90_inq_dimid
   USE dimphy
   USE indice_sol_mod
@@ -225,15 +225,15 @@
     ! ID pour les dimensions
 
-    status = nf_inq_dimid(ncidp, 'y', yid)
-    status = nf_inq_dimid(ncidp, 'x', xid)
-    status = nf_inq_dimid(ncidp, 'sig_s', zid)
-    status = nf_inq_dimid(ncidp, 'time_counter', tid)
+    status = nf90_inq_dimid(ncidp, 'y', yid)
+    status = nf90_inq_dimid(ncidp, 'x', xid)
+    status = nf90_inq_dimid(ncidp, 'sig_s', zid)
+    status = nf90_inq_dimid(ncidp, 'time_counter', tid)
 
     ! lecture des dimensions
 
-    status = nf_inq_dim(ncidp, yid, namedim, ncjm)
-    status = nf_inq_dim(ncidp, xid, namedim, ncim)
-    status = nf_inq_dim(ncidp, zid, namedim, ncklevo)
-    status = nf_inq_dim(ncidp, tid, namedim, ncrec)
+    status = nf90_inquire_dimension(ncidp, yid, namedim, ncjm)
+    status = nf90_inquire_dimension(ncidp, xid, namedim, ncim)
+    status = nf90_inquire_dimension(ncidp, zid, namedim, ncklevo)
+    status = nf90_inquire_dimension(ncidp, tid, namedim, ncrec)
 
     zrec = ncrec
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90	(revision 5088)
@@ -16,5 +16,5 @@
   ! ******************************************************************************
 
-  USE lmdz_netcdf, ONLY: nf_inq_dimid,nf_inq_dim,nf90_get_var,nf90_inq_varid,nf90_open,&
+  USE netcdf, ONLY: nf90_inq_dimid,nf90_inquire_dimension,nf90_get_var,nf90_inq_varid,nf90_open,&
           nf90_nowrite
   USE dimphy
@@ -225,15 +225,15 @@
     ! ID pour les dimensions
 
-    status = nf_inq_dimid(ncidp, 'y', yid)
-    status = nf_inq_dimid(ncidp, 'x', xid)
-    status = nf_inq_dimid(ncidp, 'sig_s', zid)
-    status = nf_inq_dimid(ncidp, 'time_counter', tid)
+    status = nf90_inq_dimid(ncidp, 'y', yid)
+    status = nf90_inq_dimid(ncidp, 'x', xid)
+    status = nf90_inq_dimid(ncidp, 'sig_s', zid)
+    status = nf90_inq_dimid(ncidp, 'time_counter', tid)
 
     ! lecture des dimensions
 
-    status = nf_inq_dim(ncidp, yid, namedim, ncjm)
-    status = nf_inq_dim(ncidp, xid, namedim, ncim)
-    status = nf_inq_dim(ncidp, zid, namedim, nckev)
-    status = nf_inq_dim(ncidp, tid, namedim, ncrec)
+    status = nf90_inquire_dimension(ncidp, yid, namedim, ncjm)
+    status = nf90_inquire_dimension(ncidp, xid, namedim, ncim)
+    status = nf90_inquire_dimension(ncidp, zid, namedim, nckev)
+    status = nf90_inquire_dimension(ncidp, tid, namedim, ncrec)
 
     zrec = ncrec
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5088)
@@ -3,5 +3,5 @@
 MODULE readaerosol_mod
 
-  USE lmdz_netcdf, ONLY: nf90_strerror,nf90_noerr,nf90_get_var,nf90_inq_varid,&
+  USE netcdf, ONLY: nf90_strerror,nf90_noerr,nf90_get_var,nf90_inq_varid,&
           nf90_inquire_dimension,nf90_inq_dimid,nf90_open,nf90_nowrite,nf90_close
 
@@ -205,5 +205,5 @@
 
           ! Read and test longitudes
-          CALL check_err( nf90_inq_dimid(ncid, "lon", dimID),"pb inq dim lon") 
+          CALL check_err( nf90_inq_dimid(ncid, "lon", dimID),"pb inq dim lon")
           CALL check_err( nf90_inquire_dimension(ncid, dimID, len = nbp_lon_src),"pb inq dim lon")
           CALL check_err( nf90_inq_varid(ncid, 'lon', varid),"pb inq lon" )
@@ -212,5 +212,5 @@
 
           ! Read and test latitudes
-          CALL check_err( nf90_inq_dimid(ncid, "lat", dimID),"pb inq dim lat") 
+          CALL check_err( nf90_inq_dimid(ncid, "lat", dimID),"pb inq dim lat")
           CALL check_err( nf90_inquire_dimension(ncid, dimID, len = nbp_lat_src),"pb inq dim lat")
           CALL check_err( nf90_inq_varid(ncid, 'lat', varid),"pb inq lat" )
@@ -398,8 +398,8 @@
 !    Old type of file should contain the dimension 'PRESNIVS'
 !****************************************************************************************
-       ierr = nf90_inq_dimid(ncid, 'lev', dimid) 
+       ierr = nf90_inq_dimid(ncid, 'lev', dimid)
        IF (ierr /= NF90_NOERR) THEN
           ! Coordinate axe lev not found. Check for presnivs.
-          ierr = nf90_inq_dimid(ncid, 'presnivs', dimid) 
+          ierr = nf90_inq_dimid(ncid, 'presnivs', dimid)
           IF (ierr /= NF90_NOERR) THEN
              ierr = nf90_inq_dimid(ncid, 'PRESNIVS', dimid)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5088)
@@ -3,5 +3,5 @@
     use netcdf95, only: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                         nf95_inq_varid, nf95_open
-    use lmdz_netcdf, only: nf90_get_var, nf90_noerr, nf90_nowrite
+    use netcdf, only: nf90_get_var, nf90_noerr, nf90_nowrite
 
     USE phys_cal_mod, ONLY : mth_cur
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90	(revision 5088)
@@ -24,5 +24,5 @@
 
 SUBROUTINE init_readaerosolstrato1
-  USE lmdz_netcdf, ONLY: nf90_nowrite
+  USE netcdf, ONLY: nf90_nowrite
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
                       nf95_inq_varid, nf95_open
@@ -67,5 +67,5 @@
   
 SUBROUTINE init_readaerosolstrato2
-  USE lmdz_netcdf, ONLY: nf90_nowrite
+  USE netcdf, ONLY: nf90_nowrite
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
                       nf95_inq_varid, nf95_open
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5088)
@@ -8,5 +8,5 @@
 
     USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, nf95_inq_varid, nf95_open
-    USE lmdz_netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
+    USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
     USE phys_cal_mod, ONLY: mth_cur
     USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo, grid2dto1d_glo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5088)
@@ -4,5 +4,5 @@
   USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE nrtype,            ONLY: pi
-  USE lmdz_netcdf,   ONLY: NF90_CLOBBER, NF90_FLOAT,     NF90_OPEN,   &
+  USE netcdf,   ONLY: NF90_CLOBBER, NF90_FLOAT,     NF90_OPEN,   &
                       NF90_NOWRITE, NF90_NOERR,     NF90_GET_ATT, NF90_GLOBAL
   USE netcdf95, ONLY: NF95_DEF_DIM, NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION,    &
@@ -702,5 +702,5 @@
 !
 !-------------------------------------------------------------------------------
-  USE lmdz_netcdf, ONLY: NF90_NOERR, NF90_strerror
+  USE netcdf, ONLY: NF90_NOERR, NF90_strerror
 !-------------------------------------------------------------------------------
 ! Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5088)
@@ -45,5 +45,5 @@
     use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
          nf95_put_var, nf95_gw_var
-    use lmdz_netcdf, only: nf90_nowrite
+    use netcdf, only: nf90_nowrite
     use nrtype, only: pi
     use regular_lonlat_mod, only: boundslat_reg, south
@@ -245,5 +245,5 @@
     use netcdf95, only: nf95_create, nf95_def_dim, nf95_def_var, &
          nf95_put_att, nf95_enddef, nf95_copy_att, nf95_put_var
-    use lmdz_netcdf, only: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
+    use netcdf, only: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
     use nrtype, only: pi
     use regular_lonlat_mod, only : lat_reg
@@ -328,5 +328,5 @@
     subroutine handle_err_copy_att(att_name)
 
-      use lmdz_netcdf, only: nf90_noerr, nf90_strerror
+      use netcdf, only: nf90_noerr, nf90_strerror
 
       character(len=*), intent(in):: att_name
